//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: recicbos_mdfx.js
// Created: 2017-04-01
// Updates: 2017-04-01
// Copyright - All Rights Reserved
//-------------------------------------------------------//
//-------------------------------------------------------//
var xmlHttp1;
var xmlHttpStream1;
var xmlHttp2;
var xmlHttpStream2;
var xmlHttp10;
var xmlHttpStream10;
var xmlHttp11;
var xmlHttpStream11;
//-------------------------------------------------------//
window.onload = function(){

};
//-------------------------------------------------------//
// LEVEL 1
function loadFeatures () {
	appid	= parent.list.document.data.appid.value;
	lan		= parent.list.document.data.lan.value;
	clase	= parent.list.document.data.clase.value;

	if(parent.list.document.data.exist.value=="false"){
		getFechaHoy();		
		getUserCajaDepartamento();
		getUserFunctions();
		getUserViews();
	}
}
function ActivarNombre(){
    document.form.i8_contribuyente_id.value =99999999;
    document.getElementById('v128_contribuyente').readOnly=false;
    document.getElementById('c11_dui_id').readOnly=false;
    document.getElementById('c14_nit_id').readOnly=false;
    document.getElementById('c14_iva_id').readOnly=false;
    document.getElementById('v16_telefono').readOnly=false;
    document.getElementById('v16_fax').readOnly=false;
    document.getElementById('txt_email').readOnly=false;
    document.getElementById('txt_direccion').readOnly=false;
}
function LlenarAnulado(){
	var existe = parent.list.document.data.exist.value;
	if(existe=="false"){
	    document.form.i8_contribuyente_id.value 	= 99999999;
	    document.form.v128_contribuyente.value	    = "ANULADO";
	    document.form.i2_tipo_pago_id.value		    = 1;
	    document.form.v64_tipo_pago.value		    = "EFECTIVO";
	    document.form.i2_tipo_departamento_id.value	= 3;
	    document.form.v64_tipo_departamento.value	= "TESORERIA";
	    document.form.c16_tarifa_id__1.value 	    = "TSINMANUNNAEF001";
	    document.form.v128_tarifa__1.value   	    = "ANULADO";
	    document.form.d82_cantidad__1.value  	    = 0;
	    document.form.d82_tarifa__1.value    	    = 0;
	    document.form.txt_periodos__1.value  	    = "";
	    Guardar();
	}else{alert("Esta Opcion No Puede Anular Un Recibo Existente");} 
}
function AfterProcces(){
   document.form.chk_anular.disabled = false;
}
//-------------------------------------------------------//
// LEVEL 2
function getFechaHoy(){
    var URL     = "../pl/get_fecha_hoy.pl?appid="+appid;
    xmlHttp10	= GetXmlHttpObject(stateChangedGetFechaHoy);
    xmlHttp10.open("GET",URL,true) ;
    xmlHttp10.send(null);	
}
function stateChangedGetFechaHoy(){
    if (xmlHttp10.readyState==4 || xmlHttp10.readyState=="complete"){ 
        xmlHttpStream10=xmlHttp10.responseText;
        if (xmlHttpStream10!=="0" && xmlHttpStream10!==""){
           document.form.dt_emision.value=xmlHttpStream10;
           document.form.dt_vencimiento.value=xmlHttpStream10;
        }
    } 
}
function getUserCajaDepartamento(){
    var URL     = "../pl/user.caja.departamento.get.pl?appid=RTM_LaHerradura&lan=es";
    xmlHttp11	= GetXmlHttpObject(getUserCajaDepartamentoSC);
    xmlHttp11.open("GET",URL,true) ;
    xmlHttp11.send(null);
}
function getUserCajaDepartamentoSC(){
    if (xmlHttp11.readyState==4 || xmlHttp11.readyState=="complete"){ 
        xmlHttpStream11=xmlHttp11.responseText;
        //alert(xmlHttpStream11);
		if (xmlHttpStream11!=="false" && xmlHttpStream11!==""){
			var datos=xmlHttpStream11.split("|");
			if(parent.list.document.data.id.value===""){
				document.form.i8_user_id.value				= datos[0];
				document.form.i8_emisor_id.value			= datos[0];
				document.form.v32_lname.value				= datos[1];			
				document.form.v32_fname.value				= datos[2];
				document.form.i2_tipo_departamento_id.value	= datos[3];
				document.form.v64_tipo_departamento.value	= datos[4];
				document.form.i2_cajero_id.value			= datos[5];
			}
		}
    }
}
function getUserFunctions(){
	var cid		= "mdfx";
	var clase	= "recibo";
	var oid		= "5020";
    var URL     = "/cgi-bin/"+appid+"/pl/get_user_option_functions.pl?appid="+appid+"&lan="+lan+"&clase="+clase+"&cid="+cid+"&oid="+oid;
    xmlHttp12	= GetXmlHttpObject(getUserFunctionsSC);
    xmlHttp12.open("GET",URL,true) ;
    xmlHttp12.send(null);
}
function getUserFunctionsSC(){
    if (xmlHttp12.readyState==4 || xmlHttp12.readyState=="complete"){ 
        xmlHttpStream12=xmlHttp12.responseText;
        if (xmlHttpStream12!=="false" && xmlHttpStream12!==""){
			var ol 		= document.getElementById("functions_ol");
			var funs_a	= xmlHttpStream12.split("~~");
			for(var i=0;i<funs_a.length-1;i++ ) {
				var li		= document.createElement("li");
				var mems_a	= funs_a[i].split("[]");
				li.innerHTML= "<a href='#' id='"+mems_a[0]+"' onClick='"+mems_a[1]+"'>"+mems_a[2]+"</a>";
				ol.appendChild(li);
			}			
        }
    }
}
function getUserViews(){
	var cid		= "mdfx";
	var clase	= "recibo";
	var oid		= "5020";
    var URL     = "/cgi-bin/"+appid+"/pl/get_user_option_views.pl?appid="+appid+"&lan="+lan+"&clase="+clase+"&cid="+cid+"&oid="+oid;
    xmlHttp13	= GetXmlHttpObject(getUserViewsSC);
    xmlHttp13.open("GET",URL,true) ;
    xmlHttp13.send(null);
}
function getUserViewsSC(){
    if (xmlHttp13.readyState==4 || xmlHttp13.readyState=="complete"){ 
        xmlHttpStream13=xmlHttp13.responseText;
		//alert(xmlHttpStream13);
        if (xmlHttpStream13!=="false" && xmlHttpStream13!==""){
			var ol 		= document.getElementById("views_ol");
			var vis_a	= xmlHttpStream13.split("~~");
			for(var i=0;i<vis_a.length-1;i++ ) {
				var li		= document.createElement("li");
				var mems_a	= vis_a[i].split("[]");
				var abridor = mems_a[13].replace("()","");
				li.innerHTML= "<a href='#' id='"+mems_a[0]+"' onClick="+abridor+"('"+mems_a[0]+"','"+mems_a[2]+"','"+mems_a[3]+"','"+mems_a[4]+"','"+mems_a[6]+"','"+mems_a[7]+"','"+mems_a[8]+"','"+mems_a[9]+"','"+mems_a[10]+"','"+mems_a[11]+"','"+mems_a[12]+"')>"+mems_a[1]+"</a>";
				ol.appendChild(li);
			}			
        }
    }
}
function Guardar(){
    if(document.form.c16_recibo_id.value!=""){Save();close();}else{alert("Digite el numero de recibo por favor!!!")}
}

//-------------------------------------------------------//
// AUXILIAR
function activarOpciones() {
	if (document.all.opciones_div.style.display=='inline') {
		document.all.opciones_div.style.display	= 'none';
    }else{
		document.all.opciones_div.style.display	= 'inline';		
	}
}
function Clean(s){
    var elements = s.split(',');
    for(var i=0;i<elements.length;i++){    
        eval("document.form."+elements[i]+".value=''");
    }
}
function GetExpediente(){
    var generador = document.form.v64_tipo_generador.value.toLowerCase();
    if(generador!=""){
	var command = "GetBack('LTMD','contribuyente_"+generador+"s','i8_"+generador+"_id|i8_expediente_id,txt_ubicacion|txt_expediente_direccion,txt_propietarios|txt_expediente_propietarios','parent.opener.form',100,100,'i8_contribuyente_id','i8_expediente_id')";
	//alert(command);
	eval(command);
    }else{alert("Seleccione el Generador")}
}
function noRet(e,decReq) {
	var key = (isIE) ? window.event.keyCode : e.which;
	var obj = (isIE) ? event.srcElement : e.target;
	var isRet = (key==13 || key=="35" || key=="34" || key=="126" || key=="124") ? false:true;
	window.event.keyCode = (!isRet && isIE) ? 0:key;
	return (isRet);
}